### Constructor

# Gegl Nodenew_from_xml

#### Declaration [src]

    GeglNode*
    gegl_node_new_from_xml (
      const gchar* xmldata,
      const gchar* path_root
    )

#### Description [src]

The `GeglNode` returned contains the graph described by the tree of stacks in the XML document. The tree is connected to the “output” pad of the returned node and thus can be used directly for processing.

#### Parameters

`xmldata`

  Type: `const gchar*`

  A \0 terminated string containing XML data to be parsed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`path_root`

  Type: `const gchar*`

  A file system path that relative paths in the XML will be resolved in relation to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GeglNode`

A GeglNode containing the parsed XML as a subgraph.

The caller of the function takes ownership of the data, and is responsible for freeing it.